PHPExcel_Style_Conditional

category | PHPExcel
package | PHPExcel_Style
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Style_Conditional

    __construct()

## Add Condition

    addCondition(string $pValue) : \PHPExcel_Style_Conditional

### Parameters

#### $pValue

`string`

Condition

### Returns

`\PHPExcel_Style_Conditional`

## Get Condition

    getCondition() : string

deprecated | Deprecated, use getConditions instead

### Returns

`string`

## Get Condition type

    getConditionType() : string

### Returns

`string`

## Get Conditions

    getConditions() : string[]

### Returns

`string[]`

## Get hash code

    getHashCode() : string

### Returns

`string`Hash code

## Get Operator type

    getOperatorType() : string

### Returns

`string`

## Get Style

    getStyle() : \PHPExcel_Style

### Returns

`\PHPExcel_Style`

## Get text

    getText() : string

### Returns

`string`

## Set Condition

    setCondition(string $pValue) : \PHPExcel_Style_Conditional

deprecated | Deprecated, use setConditions instead

### Parameters

#### $pValue

`string`

Condition

### Returns

`\PHPExcel_Style_Conditional`

## Set Condition type

    setConditionType(string $pValue) : \PHPExcel_Style_Conditional

### Parameters

#### $pValue

`string`

PHPExcel_Style_Conditional condition type

### Returns

`\PHPExcel_Style_Conditional`

## Set Conditions

    setConditions(string[] $pValue) : \PHPExcel_Style_Conditional

### Parameters

#### $pValue

`string[]`

Condition

### Returns

`\PHPExcel_Style_Conditional`

## Set Operator type

    setOperatorType(string $pValue) : \PHPExcel_Style_Conditional

### Parameters

#### $pValue

`string`

PHPExcel_Style_Conditional operator type

### Returns

`\PHPExcel_Style_Conditional`

## Set Style

    setStyle(\PHPExcel_Style $pValue) : \PHPExcel_Style_Conditional

### Parameters

#### $pValue

`\PHPExcel_Style`

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Style_Conditional`

## Set text

    setText(string $value) : \PHPExcel_Style_Conditional

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Style_Conditional`

### Properties

##

    $_condition : string[]

##

    $_conditionType : int

##

    $_operatorType : int

##

    $_style : \PHPExcel_Style

##

    $_text : string

### Constants

## CONDITION_CELLIS

    CONDITION_CELLIS

## CONDITION_CONTAINSTEXT

    CONDITION_CONTAINSTEXT

## CONDITION_EXPRESSION

    CONDITION_EXPRESSION

## CONDITION_NONE

    CONDITION_NONE

## OPERATOR_BEGINSWITH

    OPERATOR_BEGINSWITH

## OPERATOR_BETWEEN

    OPERATOR_BETWEEN

## OPERATOR_CONTAINSTEXT

    OPERATOR_CONTAINSTEXT

## OPERATOR_ENDSWITH

    OPERATOR_ENDSWITH

## OPERATOR_EQUAL

    OPERATOR_EQUAL

## OPERATOR_GREATERTHAN

    OPERATOR_GREATERTHAN

## OPERATOR_GREATERTHANOREQUAL

    OPERATOR_GREATERTHANOREQUAL

## OPERATOR_LESSTHAN

    OPERATOR_LESSTHAN

## OPERATOR_LESSTHANOREQUAL

    OPERATOR_LESSTHANOREQUAL

## OPERATOR_NONE

    OPERATOR_NONE

## OPERATOR_NOTCONTAINS

    OPERATOR_NOTCONTAINS

## OPERATOR_NOTEQUAL

    OPERATOR_NOTEQUAL